Skip to main content
GET
/
v1
/
customers
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Retrieve details of a customer
const customer = await solifyn.customers.get('cust_019e56a1...');
console.log('Customer Details:', customer);
{
  "id": "user_123",
  "email": "customer@example.com",
  "createdAt": "2025-01-01T12:00:00Z",
  "updatedAt": "2025-01-01T12:00:00Z",
  "businessId": "537825c3-14d6-4173-b072-33f921416efc",
  "memberId": "mem_123",
  "name": "John Doe",
  "username": "johndoe",
  "phone": "+1234567890",
  "phone_number": "+1234567890",
  "metadata": {
    "key": "value"
  }
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Customer ID

Example:

"user_123"

Response

200 - application/json

Customer details retrieved successfully.

id
string
required

The customer ID

Example:

"user_123"

email
string
required

The email address of the customer

Example:

"customer@example.com"

createdAt
string<date-time>
required

Timestamp when the customer was created

Example:

"2025-01-01T12:00:00Z"

updatedAt
string<date-time>
required

Timestamp when the customer was last updated

Example:

"2025-01-01T12:00:00Z"

businessId
string
required

The business ID associated with the customer

Example:

"537825c3-14d6-4173-b072-33f921416efc"

memberId
string | null

The Membership ID associated with this customer

Example:

"mem_123"

name
string | null

The name of the customer

Example:

"John Doe"

username
string | null

The username of the customer

Example:

"johndoe"

phone
string | null

The phone number of the customer

Example:

"+1234567890"

phone_number
string | null

The phone number of the customer

Example:

"+1234567890"

metadata
object

Additional metadata associated with the customer

Example:
{ "key": "value" }